Update an External Account
curl --request PUT \
--url https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID} \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"account": {
"routing_number": "<string>"
}
}
'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}"
payload = { "account": { "routing_number": "<string>" } }
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({account: {routing_number: '<string>'}})
};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'account' => [
'routing_number' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}"
payload := strings.NewReader("{\n \"account\": {\n \"routing_number\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}")
.header("Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"account\": {\n \"routing_number\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account\": {\n \"routing_number\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"customer_id": "<string>",
"account_owner_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"active": true,
"account_type": "us",
"currency": "usd",
"account": {
"routing_number": "<string>",
"last_4": "<string>",
"checking_or_savings": "checking"
},
"bank_name": "<string>",
"account_owner_type": "individual",
"first_name": "<string>",
"last_name": "<string>",
"business_name": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"country": "<string>",
"street_line_2": "<string>",
"state": "<string>",
"postal_code": "<string>"
},
"account_owner_country": "<string>",
"deactivation_reason": "plaid_item_error",
"deactivation_details": "<string>",
"beneficiary_address_valid": true,
"last_4": "<string>"
}External Accounts
Update an External Account
PUT
/
customers
/
{customerID}
/
external_accounts
/
{externalAccountID}
Update an External Account
curl --request PUT \
--url https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID} \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"account": {
"routing_number": "<string>"
}
}
'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}"
payload = { "account": { "routing_number": "<string>" } }
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({account: {routing_number: '<string>'}})
};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'account' => [
'routing_number' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}"
payload := strings.NewReader("{\n \"account\": {\n \"routing_number\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}")
.header("Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"account\": {\n \"routing_number\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account\": {\n \"routing_number\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"customer_id": "<string>",
"account_owner_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"active": true,
"account_type": "us",
"currency": "usd",
"account": {
"routing_number": "<string>",
"last_4": "<string>",
"checking_or_savings": "checking"
},
"bank_name": "<string>",
"account_owner_type": "individual",
"first_name": "<string>",
"last_name": "<string>",
"business_name": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"country": "<string>",
"street_line_2": "<string>",
"state": "<string>",
"postal_code": "<string>"
},
"account_owner_country": "<string>",
"deactivation_reason": "plaid_item_error",
"deactivation_details": "<string>",
"beneficiary_address_valid": true,
"last_4": "<string>"
}Path Parameters
Body
application/json
External Account details to be updated
Response
External Account object updated
- ACH/Wire
- IBAN
- CLABE
- Pix
- GB
- Bre-B
- CO Bank Transfer
US bank account using account and routing numbers for ACH or Wire transfers
Owner of the account Bank Account (e.g. "John Doe"). For ach, wire, and iban accounts, this field must be at least 3 characters, at most 35 characters, and follow the regex pattern for the given account type:
- ach:
^(?!\s*$)[\x20-\x7E]*$ - wire:
^[ \w!"#$%&'()+,\-./:;<=>?@\\_`~]*$ - iban:
^(?![:\- ]*$)[a-zA-Z0-9\/\-?:().,'+ _]+$
Required string length:
1 - 256Was this page helpful?